#include "dataobject.h"

DataObject::DataObject(QObject *parent)
    : QObject{parent}
{
}

DataObject::DataObject(QString name, QString color)
{
    setName(name);
    setColor(color);
}

const QString &DataObject::name() const
{
    return m_name;
}

void DataObject::setName(const QString &newName)
{
    if (m_name == newName)
        return;
    m_name = newName;
    emit nameChanged();
}

const QString &DataObject::color() const
{
    return m_color;
}

void DataObject::setColor(const QString &newColor)
{
    if (m_color == newColor)
        return;
    m_color = newColor;
    emit colorChanged();
}
